/**
    @copyright None
    @file      peripheral.h
    @author    Comment Vivre
    @date      2025-12-29
    @brief     None
*/
#ifndef __PERIPHERAL_H_
#define __PERIPHERAL_H_

void TSD_Init(void);

void ADC_Init(void);
void AMP_Init(void);

void CMP3_Init(void);
void CMP3_Interrupt_Init(void);



void Driver_Init(void);
void GPIO_Init(void);

void PWM_Timer_Init(void);

void UART1_Init(void);
void Conf_DMA(uint8_t DMAx, uint8_t DMAPipe, uint16_t DMAAddr, uint8_t DMALen);


#endif


